Heads up, our devs are blazing ahead—docs are catching up, so some features might not be fully documented yet.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Product Package

ProductPackage

List product package slots

get
/tenants/{tenantUid}/products/{productUid}/packages/slots

List product package slots.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
productUidstringRequired

Reference to a Product.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUM Description
ASC Sort in ascending order
DESC Sort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/products/{productUid}/packages/slots
GET /v2/tenants/{tenantUid}/products/{productUid}/packages/slots HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "productPackageSlotUid": "text",
      "name": "text",
      "position": 1,
      "minComponentsAllowed": 1,
      "maxComponentsAllowed": 1,
      "normPrice": 1,
      "components": [
        {
          "productPackageComponentUid": "text",
          "product": {
            "productUid": "text",
            "name": "text",
            "sku": "text",
            "brand": "text",
            "description": "text"
          },
          "position": 1,
          "quantity": 1,
          "specialPrice": 1,
          "required": true,
          "createdBy": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z"
        }
      ],
      "createdBy": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Create product package slot

post
/tenants/{tenantUid}/products/{productUid}/packages/slots

Create new product package slot.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
productUidstringRequired

Reference to a Product.

Pattern: ^[A-Za-z0-9-_]+
Body
namestringOptional
positionintegerOptional
minComponentsAllowedintegerOptional
maxComponentsAllowedintegerOptional
productPackageSlotUidstringOptionalPattern: ^[A-Za-z0-9-_]*
Responses
201

Example response

application/json
productPackageSlotUidstringRequiredPattern: ^[A-Za-z0-9-_]+
namestringRequired
positionintegerRequired
minComponentsAllowedintegerRequired
maxComponentsAllowedintegerRequired
normPriceintegerRequired
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
post/tenants/{tenantUid}/products/{productUid}/packages/slots
POST /v2/tenants/{tenantUid}/products/{productUid}/packages/slots HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 109

{
  "name": "text",
  "position": 1,
  "minComponentsAllowed": 1,
  "maxComponentsAllowed": 1,
  "productPackageSlotUid": "text"
}
201

Example response

{
  "productPackageSlotUid": "text",
  "name": "text",
  "position": 1,
  "minComponentsAllowed": 1,
  "maxComponentsAllowed": 1,
  "normPrice": 1,
  "components": [
    {
      "productPackageComponentUid": "text",
      "product": {
        "productUid": "text",
        "name": "text",
        "sku": "text",
        "brand": "text",
        "description": "text"
      },
      "position": 1,
      "quantity": 1,
      "specialPrice": 1,
      "required": true,
      "createdBy": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z"
    }
  ],
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z"
}

Get product package slot

get
/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid}

Get product package slot

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
productUidstringRequired

Reference to a Product.

Pattern: ^[A-Za-z0-9-_]+
productPackageSlotUidstringRequired

Reference to a product package slot

Responses
200

Example response

application/json
productPackageSlotUidstringRequiredPattern: ^[A-Za-z0-9-_]+
namestringRequired
positionintegerRequired
minComponentsAllowedintegerRequired
maxComponentsAllowedintegerRequired
normPriceintegerRequired
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
get/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid}
GET /v2/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "productPackageSlotUid": "text",
  "name": "text",
  "position": 1,
  "minComponentsAllowed": 1,
  "maxComponentsAllowed": 1,
  "normPrice": 1,
  "components": [
    {
      "productPackageComponentUid": "text",
      "product": {
        "productUid": "text",
        "name": "text",
        "sku": "text",
        "brand": "text",
        "description": "text"
      },
      "position": 1,
      "quantity": 1,
      "specialPrice": 1,
      "required": true,
      "createdBy": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z"
    }
  ],
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z"
}

Update product package slot

put
/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid}

Update product package slot

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
productUidstringRequired

Reference to a Product.

Pattern: ^[A-Za-z0-9-_]+
productPackageSlotUidstringRequired

Reference to a product package slot

Body
namestringOptional
positionintegerOptional
minComponentsAllowedintegerOptional
maxComponentsAllowedintegerOptional
Responses
200

Example response

application/json
productPackageSlotUidstringRequiredPattern: ^[A-Za-z0-9-_]+
namestringRequired
positionintegerRequired
minComponentsAllowedintegerRequired
maxComponentsAllowedintegerRequired
normPriceintegerRequired
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
put/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid}
PUT /v2/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 78

{
  "name": "text",
  "position": 1,
  "minComponentsAllowed": 1,
  "maxComponentsAllowed": 1
}
200

Example response

{
  "productPackageSlotUid": "text",
  "name": "text",
  "position": 1,
  "minComponentsAllowed": 1,
  "maxComponentsAllowed": 1,
  "normPrice": 1,
  "components": [
    {
      "productPackageComponentUid": "text",
      "product": {
        "productUid": "text",
        "name": "text",
        "sku": "text",
        "brand": "text",
        "description": "text"
      },
      "position": 1,
      "quantity": 1,
      "specialPrice": 1,
      "required": true,
      "createdBy": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z"
    }
  ],
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z"
}

Delete product package slot

delete
/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid}

Delet product package slot

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
productUidstringRequired

Reference to a Product.

Pattern: ^[A-Za-z0-9-_]+
productPackageSlotUidstringRequired

Reference to a product package slot

Responses
204

No Content

No content

delete/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid}
DELETE /v2/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

List product package components

get
/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid}/components

List product package components

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
productUidstringRequired

Reference to a Product.

Pattern: ^[A-Za-z0-9-_]+
productPackageSlotUidstringRequired

Reference to a product package slot

Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUM Description
ASC Sort in ascending order
DESC Sort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid}/components
GET /v2/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid}/components HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "productPackageComponentUid": "text",
      "product": {
        "productUid": "text",
        "name": "text",
        "sku": "text",
        "brand": "text",
        "description": "text"
      },
      "position": 1,
      "quantity": 1,
      "specialPrice": 1,
      "required": true,
      "createdBy": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Create product package component

post
/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid}/components

Create product package component

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
productUidstringRequired

Reference to a Product.

Pattern: ^[A-Za-z0-9-_]+
productPackageSlotUidstringRequired

Reference to a product package slot

Body
productUidstringRequiredPattern: ^[A-Za-z0-9-_]+
quantityintegerRequired
positionintegerOptional
specialPriceintegerOptional
requiredbooleanOptionalDefault: false
productPackageComponentUidstringOptionalPattern: ^[A-Za-z0-9-_]*
Responses
201

Example response

application/json
productPackageComponentUidstringRequiredPattern: ^[A-Za-z0-9-_]+
positionintegerRequired
quantityintegerRequired
specialPriceinteger · nullableRequired
requiredbooleanRequired
availableStockintegerOptionalDeprecated
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
post/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid}/components
POST /v2/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid}/components HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 117

{
  "productUid": "text",
  "quantity": 1,
  "position": 1,
  "specialPrice": 1,
  "required": false,
  "productPackageComponentUid": "text"
}
201

Example response

{
  "productPackageComponentUid": "text",
  "product": {
    "productUid": "text",
    "name": "text",
    "sku": "text",
    "brand": "text",
    "description": "text"
  },
  "position": 1,
  "quantity": 1,
  "specialPrice": 1,
  "required": true,
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z"
}

Get product package component

get
/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid}/components/{productPackageComponentUid}

Get product package component

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
productUidstringRequired

Reference to a Product.

Pattern: ^[A-Za-z0-9-_]+
productPackageSlotUidstringRequired

Reference to a product package slot

productPackageComponentUidstringRequired

Reference to a product package component

Responses
200

Example response

application/json
productPackageComponentUidstringRequiredPattern: ^[A-Za-z0-9-_]+
positionintegerRequired
quantityintegerRequired
specialPriceinteger · nullableRequired
requiredbooleanRequired
availableStockintegerOptionalDeprecated
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
get/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid}/components/{productPackageComponentUid}
GET /v2/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid}/components/{productPackageComponentUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "productPackageComponentUid": "text",
  "product": {
    "productUid": "text",
    "name": "text",
    "sku": "text",
    "brand": "text",
    "description": "text"
  },
  "position": 1,
  "quantity": 1,
  "specialPrice": 1,
  "required": true,
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z"
}

Update product package component

put
/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid}/components/{productPackageComponentUid}

Update product package component

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
productUidstringRequired

Reference to a Product.

Pattern: ^[A-Za-z0-9-_]+
productPackageSlotUidstringRequired

Reference to a product package slot

productPackageComponentUidstringRequired

Reference to a product package component

Body
productUidstringOptionalPattern: ^[A-Za-z0-9-_]*
quantityintegerOptional
positionintegerOptional
specialPriceintegerOptional
requiredbooleanOptional
Responses
200

Example response

application/json
productPackageComponentUidstringRequiredPattern: ^[A-Za-z0-9-_]+
positionintegerRequired
quantityintegerRequired
specialPriceinteger · nullableRequired
requiredbooleanRequired
availableStockintegerOptionalDeprecated
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
put/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid}/components/{productPackageComponentUid}
PUT /v2/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid}/components/{productPackageComponentUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 80

{
  "productUid": "text",
  "quantity": 1,
  "position": 1,
  "specialPrice": 1,
  "required": true
}
200

Example response

{
  "productPackageComponentUid": "text",
  "product": {
    "productUid": "text",
    "name": "text",
    "sku": "text",
    "brand": "text",
    "description": "text"
  },
  "position": 1,
  "quantity": 1,
  "specialPrice": 1,
  "required": true,
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z"
}

Delete product package component

delete
/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid}/components/{productPackageComponentUid}

Dele product package component

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
productUidstringRequired

Reference to a Product.

Pattern: ^[A-Za-z0-9-_]+
productPackageSlotUidstringRequired

Reference to a product package slot

productPackageComponentUidstringRequired

Reference to a product package component

Responses
204

No Content

No content

delete/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid}/components/{productPackageComponentUid}
DELETE /v2/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid}/components/{productPackageComponentUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

Last updated

Was this helpful?